<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$cot_vendedor = $_GET['cot_vendedor'];  

// Suponiendo que cot_fecha_reserva contiene una fecha en formato 'YYYY-MM-DD'
$fecha_reserva = $_GET['cot_fecha_reserva']; // Ejemplo: '2025-02-17'
// Convertir la fecha a un timestamp
$timestamp = strtotime($fecha_reserva);
// Crear un arreglo con los días de la semana en español
$diasSemana = array('7','1', '2', '3', '4', '5', '6');
// Obtener el día de la semana (0 = domingo, 1 = lunes, ..., 6 = sábado)
$diaSemana = $diasSemana[date('w', $timestamp)];

// Consulta para obtener las cotizaciones
$coti = mysqli_query($con, "SELECT * FROM cotizacion WHERE cot_tipo='RESERVA' and vendedor='$cot_vendedor' and cot_fecha_reserva='$fecha_reserva' and sucursal='$sucursal' and empresa='$empresa'");

$resulco = mysqli_num_rows($coti);

if ($resulco != 0) {
    // Arreglo para almacenar todos los turnos de reserva existentes
    $turnos_reserva = [];

    // Obtener todos los turnos de reserva existentes
    while ($filas = mysqli_fetch_array($coti)) {
        $cot_turno_reserva = $filas['cot_turno_reserva'];
        $turnos_reserva[] = $cot_turno_reserva; // Guardar los turnos para compararlos después
    }

    // Consulta para obtener los turnos de los usuarios
    $zusu = mysqli_query($con, "SELECT * FROM zhop_reserva_usuario WHERE usuario_usu_id='$cot_vendedor' and dias_estado='activo' and horas_estado='activo' and dias_id='$diaSemana' and empresa='$empresa' and sucursal='$sucursal' ORDER BY horas_id ASC ");

    // Variable para comprobar si se encontró algún turno libre
    $turno_libre_encontrado = false;

    while ($re = mysqli_fetch_array($zusu)) {
        $res_usu_id = $re['res_usu_id'];
        $horas = $re['horas'];
        
        // Comprobar si el turno de reserva no está en los turnos de reserva existentes
        if (!in_array($res_usu_id, $turnos_reserva)) {
            $turno_libre_encontrado = true; // Encontró un turno libre
            ?>
            <option id="turno" value="<?php echo $res_usu_id; ?>"><?php echo $horas; ?> Libre</option>
            <?php  
        } 
    }

    // Si no se encontró ningún turno libre
    if (!$turno_libre_encontrado) {
        echo "<option>No hay turnos disponibles</option>";
    }
} 
 else {
    // Si no hay registros de cotización, muestra los turnos libres
    $tur1 = mysqli_query($con, "SELECT * FROM zhop_reserva_usuario WHERE usuario_usu_id='$cot_vendedor' and dias_estado='activo' and horas_estado='activo' and dias_id='$diaSemana' and empresa='$empresa' and sucursal='$sucursal' ORDER BY horas_id ASC");

    while ($fil1 = mysqli_fetch_array($tur1)) { 
        $res_usu_id = $fil1['res_usu_id'];
        $horas = $fil1['horas'];

        ?> 
       <option id="turno" value="<?php echo $res_usu_id; ?>"><?php echo $horas; ?> Libre</option>
        <?php  
    }
} 
?>